# Uses of Interface
java.time.chrono.Chronology

Packages that use Chronology
Package
Description
java.time.chrono
Generic API for calendar systems other than the default ISO.
java.time.format
Provides classes to print and parse dates and times.
java.time.temporal
Access to date and time using fields and units, and date time adjusters.

- ## Uses of Chronology in java.time.chrono

  Classes in java.time.chrono that implement Chronology
  Modifier and Type
  Class
  Description
  `class`
  `AbstractChronology`
  An abstract implementation of a calendar system, used to organize and identify dates.
  `final class`
  `HijrahChronology`
  The Hijrah calendar is a lunar calendar supporting Islamic calendars.
  `final class`
  `IsoChronology`
  The ISO calendar system.
  `final class`
  `JapaneseChronology`
  The Japanese Imperial calendar system.
  `final class`
  `MinguoChronology`
  The Minguo calendar system.
  `final class`
  `ThaiBuddhistChronology`
  The Thai Buddhist calendar system.
  Subinterfaces with type arguments of type Chronology in java.time.chrono
  Modifier and Type
  Interface
  Description
  `interface`
  `Chronology`
  A calendar system, used to organize and identify dates.
  Methods in java.time.chrono that return Chronology
  Modifier and Type
  Method
  Description
  `static Chronology`
  Chronology.`from(TemporalAccessor temporal)`
  Obtains an instance of `Chronology` from a temporal object.
  `Chronology`
  ChronoLocalDate.`getChronology()`
  Gets the chronology of this date.
  `default Chronology`
  ChronoLocalDateTime.`getChronology()`
  Gets the chronology of this date-time.
  `Chronology`
  ChronoPeriod.`getChronology()`
  Gets the chronology that defines the meaning of the supported units.
  `default Chronology`
  ChronoZonedDateTime.`getChronology()`
  Gets the chronology of this date-time.
  `static Chronology`
  Chronology.`of(String id)`
  Obtains an instance of `Chronology` from a chronology ID or calendar system type.
  `static Chronology`
  Chronology.`ofLocale(Locale locale)`
  Obtains an instance of `Chronology` from a locale.
  Methods in java.time.chrono that return types with arguments of type Chronology
  Modifier and Type
  Method
  Description
  `static Set<Chronology>`
  Chronology.`getAvailableChronologies()`
  Returns the available chronologies.
  Methods in java.time.chrono with parameters of type Chronology
  Modifier and Type
  Method
  Description
  `int`
  AbstractChronology.`compareTo(Chronology other)`
  Compares this chronology to another chronology.
  `int`
  Chronology.`compareTo(Chronology other)`
  Compares this chronology to another chronology.

- ## Uses of Chronology in java.time.format

  Methods in java.time.format that return Chronology
  Modifier and Type
  Method
  Description
  `Chronology`
  DateTimeFormatter.`getChronology()`
  Gets the overriding chronology to be used during formatting.
  Methods in java.time.format with parameters of type Chronology
  Modifier and Type
  Method
  Description
  `static String`
  DateTimeFormatterBuilder.`getLocalizedDateTimePattern(String requestedTemplate, Chronology chrono, Locale locale)`
  Returns the formatting pattern for the requested template for a locale and chronology.
  `static String`
  DateTimeFormatterBuilder.`getLocalizedDateTimePattern(FormatStyle dateStyle, FormatStyle timeStyle, Chronology chrono, Locale locale)`
  Gets the formatting pattern for date and time styles for a locale and chronology.
  `DateTimeFormatter`
  DateTimeFormatter.`withChronology(Chronology chrono)`
  Returns a copy of this formatter with a new override chronology.

- ## Uses of Chronology in java.time.temporal

  Methods in java.time.temporal that return types with arguments of type Chronology
  Modifier and Type
  Method
  Description
  `static TemporalQuery<Chronology>`
  TemporalQueries.`chronology()`
  A query for the `Chronology`.